// Copyright (c) 1999-2000 David Muse
// See the COPYING file for more information.

#ifndef COMMANDLINE_H
#define COMMANDLINE_H

// The commandline class provides methods for parsing command line arguments.

class commandline {
	public:
			commandline(int argc, char **argv);
		virtual	~commandline();

		char	*value(char *arg);
				// Returns the value of "arg" (which is assumed
				// to be the next item on the command line
				// after "arg").
		int	found(char *arg);
				// Returns 1 if "arg" was found and 0 
				// if it was not found.  This is useful for
				// processing command line switches.

	private:
		#include <rudiments/private/commandline.h>

};

#endif
